Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.net
Class DaytimeTCPClient

    java.lang.Object
      |
      +--org.apache.commons.net.SocketClient
            |
            +--org.apache.commons.net.DaytimeTCPClient

public final class DaytimeTCPClient
extends SocketClient

The DaytimeTCPClient class is a TCP implementation of a client for the Daytime protocol described in RFC 867. To use the class, merely establish a connection with connect and call getTime() to retrieve the daytime string, then call disconnect to close the connection properly.

Author:
  Daniel F. Savarese
See Also:
  `DaytimeUDPClient`

Field Summary
`static int` | `DEFAULT_PORT` The default daytime port.

Fields inherited from class org.apache.commons.net.SocketClient
`_defaultPort_, _input_, _isConnected_, _output_, _socket_, _socketFactory_, _timeout_, NETASCII_EOL`

Constructor Summary
`DaytimeTCPClient()` The default DaytimeTCPClient constructor.

Method Summary
`java.lang.String` | `getTime()` Retrieves the time string from the server and returns it.

Methods inherited from class org.apache.commons.net.SocketClient
`_connectAction_, connect, connect, connect, connect, connect, connect, disconnect, getDefaultPort, getDefaultTimeout, getLocalAddress, getLocalPort, getRemoteAddress, getRemotePort, getSoLinger, getSoTimeout, getTcpNoDelay, isConnected, setDefaultPort, setDefaultTimeout, setSocketFactory, setSoLinger, setSoTimeout, setTcpNoDelay, verifyRemote`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_PORT

    public static final int DEFAULT_PORT

  The default daytime port. It is set to 13 according to RFC 867.

  See Also:
    Constant Field Values

Constructor Detail

### DaytimeTCPClient

    public DaytimeTCPClient()

  The default DaytimeTCPClient constructor. It merely sets the default port to `DEFAULT_PORT` .

Method Detail

### getTime

    public java.lang.String getTime()
                             throws java.io.IOException

  Retrieves the time string from the server and returns it. The server will have closed the connection at this point, so you should call disconnect after calling this method. To retrieve another time, you must initiate another connection with connect before calling `getTime()` again.

  Returns:
    The time string retrieved from the server.
  Throws:
    `java.io.IOException` - If an error occurs while fetching the time string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997-2003 Apache Software Foundation. All Rights Reserved.